> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v1 Scores list

> Retrieves a list of scores of all the models



## OpenAPI

````yaml GET /leaderboard/scores
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /leaderboard/scores:
    get:
      tags:
        - Archived
      summary: v1 Scores list
      description: Retrieves a list of scores of all the models
      operationId: leaderboard_scores_list_get
      responses:
        '200':
          description: A list of scores
          content:
            application/json:
              schema:
                title: LeaderboardScoresList
                type: object
                properties:
                  status:
                    title: LeaderboardScoresListStatus
                    type: string
                    example: success
                  data:
                    title: LeaderboardScoresListData
                    type: object
                    properties:
                      scores:
                        type: array
                        items:
                          $ref: '#/components/schemas/LeaderboardScore'
components:
  schemas:
    LeaderboardScore:
      title: LeaderboardScore
      type: object
      properties:
        target_model:
          title: Target Model
          type: string
          example: gpt-4o
        model_provider:
          title: Model Provider
          type: string
          example: OpenAI
        model_source:
          title: Model Source
          type: string
          example: https://platform.openai.com/docs/models/gpt-3-5-turbo
        risk_score:
          title: Risk Score
          type: number
          example: 35.5875
        risk_info:
          title: Risk Info
          type: string
          example: Average of all test scores
        test_date:
          title: Test Date
          type: string
          format: date-time
          example: '2024-05-14T15:59:18.134476'
        bias:
          $ref: '#/components/schemas/LeaderboardBias'
        jailbreak:
          $ref: '#/components/schemas/LeaderboardJailbreak'
        malware:
          $ref: '#/components/schemas/LeaderboardMalware'
        toxicity:
          $ref: '#/components/schemas/LeaderboardToxicity'
    LeaderboardBias:
      title: LeaderboardBias
      type: object
      properties:
        avg_score:
          title: Avg Score
          type: number
          example: 81.42
        implicit_sentence_test:
          $ref: '#/components/schemas/LeaderboardTest'
        implicit_word_test:
          $ref: '#/components/schemas/LeaderboardTest'
    LeaderboardJailbreak:
      title: LeaderboardJailbreak
      type: object
      properties:
        avg_score:
          title: Avg Score
          type: number
          example: 25
        iterative:
          $ref: '#/components/schemas/LeaderboardTest'
        single_shot:
          $ref: '#/components/schemas/LeaderboardTest'
    LeaderboardMalware:
      title: LeaderboardMalware
      type: object
      properties:
        avg_score:
          title: Avg Score
          type: number
          example: 34.22
        malware:
          $ref: '#/components/schemas/LeaderboardTest'
    LeaderboardToxicity:
      title: LeaderboardToxicity
      type: object
      properties:
        avg_score:
          title: Avg Score
          type: number
          example: 1.71
        real_toxic_prompts:
          $ref: '#/components/schemas/LeaderboardTest'
    LeaderboardTest:
      title: LeaderboardTest
      type: object
      properties:
        score:
          title: Score
          type: number
          example: 95.56
        failed:
          title: Failed
          type: integer
          example: 215
        total:
          title: Total
          type: integer
          example: 225
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````